aboutsummaryrefslogtreecommitdiff
path: root/test/games
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-08-02 17:03:37 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-08-02 17:03:37 +1200
commit64020bea700cd600d899a4e584419f98adcb9a4d (patch)
treec482b2df718826cf3b84cac8ca3ade7bb16b9855 /test/games
parentSlightly nicer text syntax (diff)
downloaddotfiles-64020bea700cd600d899a4e584419f98adcb9a4d.tar.gz
dotfiles-64020bea700cd600d899a4e584419f98adcb9a4d.zip
Fix up exit values and glob checks
Diffstat (limited to 'test/games')
-rwxr-xr-xtest/games7
1 files changed, 4 insertions, 3 deletions
diff --git a/test/games b/test/games
index 931c3141..c1e3cf4a 100755
--- a/test/games
+++ b/test/games
@@ -1,15 +1,16 @@
#!/bin/sh
for game in games/* ; do
+ [ -e "$game" ] || continue
hb=$(sed 1q "$game") || exit
case $hb in
*bash)
- bash -n "$game" || exit 1
+ bash -n "$game" || exit
;;
*sh)
- sh -n "$game" || exit 1
+ sh -n "$game" || exit
;;
*'sed -f')
- sed -f "$game" /dev/null >/dev/null || exit 1
+ sed -f "$game" /dev/null >/dev/null || exit
;;
*'awk -f')
# Not sure how to test these yet